Skip to content

List Tenants

GET
/api/v1/tenants
curl --request GET \
--url https://api.spartanauth.com/api/v1/tenants

Returns catalog metadata for isolated customer tenants (and the platform tenant). Does not open customer databases. Only an admin of the platform default sector may call this.

searchTerm
string
pageSize
integer format: int32
page
integer format: int32

A successful response.

Media type application/json
object
tenants
Array<object>
object
tenantID
string
slug
string
kid
string
isPlatform
boolean
rootSectorID
string
sectorCount
integer format: int32
subSectorCount
integer format: int32
totalCount
integer format: int32
totalPages
integer format: int32
currentPage
integer format: int32
Example generated
{
"tenants": [
{
"tenantID": "example",
"slug": "example",
"kid": "example",
"isPlatform": true,
"rootSectorID": "example",
"sectorCount": 1,
"subSectorCount": 1
}
],
"totalCount": 1,
"totalPages": 1,
"currentPage": 1
}

An unexpected error response.

Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}